QGIS Application - Feature request #8739
World file created from Project->Save as image has wrong extension for various other uses
2013-10-01 09:23 AM - Andrew DeMerchant

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17454
Description

It looks like when you "save as image", the extension for the world file that gets created is just the extension of the image type, plus a "w".
So, a png becomes pngw, jpg becomes jpgw, etc. | think this is the way that GDAL works, which would explain things - but it would be
nice if it used the alternate method so that it would work with things like Autocad, for example, without having to manually rename the file.
A lot of software uses the other naming method where you take the first and last letter and then add a w to those. So jpg becomes jpw, tif
becomes tfw, etc.

It's obviously very easy to rename manually - but like | said, it would just be a nice little change if it did this out of the box.

Associated revisions

Revision 9259e27c¢ - 2013-11-14 09:59 AM - Matthias Kuhn

[spatialite] Don't crash with NULL geometries (Fix #8739)

History

#1 - 2013-10-01 10:14 AM - Jukka Rahkonen

This is the original Arcinfo way and taking the 1st and 3rd letter from the short DOS 8.3 style filename came later with ArcView. However, the three letter
world file extensions are for sure much more common.

This is QGIS specific behaviour, GDAL creates short world file extensions. Sometimes they are even named as .wid.

#2 - 2013-11-14 01:00 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"9259e27c415b651ba49730adc098b798dc531908".

#3 - 2013-11-15 09:49 PM - Martin Dobias
- Status changed from Closed to Open

The mentioned changeset actually fixes #8793, not this one.

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
#5 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
